courier-pop - Startet nicht mehr

Postfix, QMail, Sendmail, Dovecot, Cyrus, Courier, Anti-Spam
marcel adamczyk
Posts: 21
Joined: 2005-04-27 17:31

courier-pop - Startet nicht mehr

Post by marcel adamczyk » 2005-07-26 11:12

Hallo,

ich hatte auf meinen Server Debian 3.0 mit Courier Pop und sysCP laufen zu dieser Zeit liefs auch wirklich gut und ohne Probleme. Vor ca. 4 Wochen wagte ich das Upgrade auf Debian 3.1 stable seitdem Funktioniert courier-pop nicht mehr, selbst nach der Neuinstallation von courier lässt sich der Dienst nicht starten,

courier-pop bricht den Startvorgang mit folgenden Fehler ab:

Code: Select all

 Starting Courier POP3 server:/bin/sh: Syntax error: Unterminated quoted string
invoke-rc.d: initscript courier-pop, action "start" failed. 
Kann mir da jemand helfen ?

Roger Wilco
Administrator
Administrator
Posts: 6001
Joined: 2004-05-23 12:53

Re: courier-pop - Startet nicht mehr

Post by Roger Wilco » 2005-07-26 12:58

Dein Initskript ist schlicht und ergreifend kaputt. Entweder du reparierst das selbst oder kopierst einfach das mitgelieferte nochmal drüber.

marcel adamczyk
Posts: 21
Joined: 2005-04-27 17:31

Re: courier-pop - Startet nicht mehr

Post by marcel adamczyk » 2005-07-26 14:20

Roger Wilco wrote:Dein Initskript ist schlicht und ergreifend kaputt. Entweder du reparierst das selbst oder kopierst einfach das mitgelieferte nochmal drüber.
Ist es die datei unter

Code: Select all

./etc/init.d/courier-pop
?
Und wo finde ich das mitgelieferte Script bzw. welche stelle ist daran falsch geschrieben ?

squize
Userprojekt
Userprojekt
Posts: 741
Joined: 2003-05-19 16:46
Location: Karlsruhe

Re: courier-pop - Startet nicht mehr

Post by squize » 2005-07-26 15:04

Wenn du ein locate courier-pop machst solltest du das Skript finden. Die Datei findest du unter /etc/init.d. Der Punkt gibt an, dass der Pfad relativ ist, stimmt also nur, wenn du bereits im Rootdirectory bist.

Grus Marc

Wenn nicht hier mal die Datei:

Code: Select all

#! /bin/sh -e

prefix="/usr"
exec_prefix=${prefix}
sysconfdir="/etc/courier"
sbindir="${exec_prefix}/sbin"
libexecdir="${prefix}/lib/courier"
TCPD="${sbindir}/couriertcpd"
DAEMON=${sbindir}/pop3d
PROGRAM="Courier POP3 server"
PROG="pop3d"

test -f $DAEMON || exit 0

if ! [ -x $TCPD ]; then
  echo "ERR: $TCPD missing"
  exit 1
fi

if ! [ -f ${sysconfdir}/pop3d ]; then
  echo "ERR: config file missing"
  exit 1
fi

. ${sysconfdir}/pop3d

START=no
case "$POP3DSTART" in
  [yY]*)START=yes;;
esac

case "$1" in
start)
  if [ "$START" = "yes" ]; then
    echo -n "Starting $PROGRAM:"
    AUTHMODULELIST=""
    for f in $AUTHMODULES
    do
      if [ -e $libexecdir/authlib/$f ]; then
          AUTHMODULELIST="$AUTHMODULELIST $libexecdir/authlib/$f"
          fi
    done
    AUTHMODULELIST="`echo $AUTHMODULELIST`"

    /usr/bin/env - PATH="$PATH" SHELL="$SHELL" POP3AUTH="$POP3AUTH" 
      $TCPD -pid=$PIDFILE -stderrlogger=${sbindir}/courierlogger 
      -maxprocs=$MAXDAEMONS -maxperip=$MAXPERIP 
      $TCPDOPTS -address=$ADDRESS $PORT 
      ${prefix}/lib/courier/courier/courierpop3login $AUTHMODULELIST 
      ${prefix}/lib/courier/courier/courierpop3d Maildir
    echo " $PROG."
  fi
    ;;
stop)
  echo -n "Stopping $PROGRAM:"
  $TCPD -pid=$PIDFILE -stop
  echo " $PROG."
    ;;
restart | reload | force-reload)
  $0 stop
  $0 start
    ;;
*)
  echo "Usage: $0 {start|stop|restart|reload|force-reload}" >&2
  exit 1
  ;;
esac

exit 0


marcel adamczyk
Posts: 21
Joined: 2005-04-27 17:31

Re: courier-pop - Startet nicht mehr

Post by marcel adamczyk » 2005-07-29 14:08

Danke für das init Script, jetzt hab ich es hochgelade per psftp aber wenn ich das script aufrufen möchte kommt jetzt folgendes:

Code: Select all

/etc/init.d/courier-pop
-bash: ./etc/init.d/courier-pop: Permission denied
Welche berechtigungen braucht nun das Script damit es gestartet werden kann ?